<?php
/**
 * Plugin Name: Post Type Condition for Elementor Pro
 * Plugin URI:  https://artificialred.nl
 * Author:      Harm Jakob Tolsma
 * Author URI:  https://jakobtolsma.nl
 * License:     GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Description: Adds a Post-Type display condition for Elementor widgets
 * Version:     1.0
 * Text Domain: post-type-condition
 */
 
// Exit if accessed directly
defined( 'ABSPATH' ) || exit;

use ElementorPro\Core\Isolation\Wordpress_Adapter;

Class Post_Type_Condition {

	public function __construct() {
		// Add hooks
		$this->add_hooks_and_actions();
	}
	
	public function add_hooks_and_actions() {
		
		/********************************************************
		 * Register Post Type display condition
		 ********************************************************/
		add_action( 'elementor/display_conditions/register', array( $this, 'add_esc_display_condition' ) );
	}

	/********************************************************
	 * Post Type display condition
	 ********************************************************/
	public function add_esc_display_condition( $conditions_manager ) {
		
		require_once( realpath( dirname( __FILE__ ) ) . '/Elementor_Post_Type_Condition.php' );
		
		$id = 'Elementor_Post_Type_Condition';
		$args[] = new Wordpress_Adapter();
		$class_name = '\\ElementorPro\\Modules\\DisplayConditions\\Conditions\\' . $id;

		$condition = new $class_name( $args );
		$conditions_manager->register_condition_instance( $condition );
	}
}

// Init our class
$ptc = new \Post_Type_Condition();